/*
 * JBoss, the OpenSource WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.xml.soap;

/** A representation of a node whose value is text. A Text object may represent
 * text that is content or text that is a comment.
 *  
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public interface Text
   extends Node, org.w3c.dom.Text
{
   public boolean isComment();
}
