/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework.extra;

import org.jfox.framework.Component;

/**
 * if a component reference resources that can not recyle by GC,
 * please implements this interface and destroy it by manual
 * don't use component that has destroyed
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Destroyable extends Component {

    public void destroy() throws Exception;

}