/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.framework.extra;

import org.jfox.framework.Component;

/**
 * a component can managed by console must implements this interface
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Managable extends Component {

    /**
     * get the Management Method infomation, so can exposed to console
     *
     * @return
     */
    ManagementInfo getManagementInfo();
}