/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework.extra;

import org.jfox.framework.Component;
import org.jfox.framework.ComponentException;
import org.jfox.framework.ComponentName;
import org.jfox.framework.ConstrComponentFactory;
import org.jfox.framework.Parameter;

/**
 * A constrctor ComponentFactory with specified ComponentName
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class NamedConstrComponentFactory extends ConstrComponentFactory {

    /**
     * @param compName     format class_name@factory, example: java.lang.String@101010
     * @param constrParams
     */
    public NamedConstrComponentFactory(ComponentName compName, Parameter[] constrParams) throws ComponentException {
        super(compName, constrParams);
    }

    public Component makeComponent() throws ComponentException {
        return super.makeComponent();
    }

    public static void main(String[] args) {

    }
}

