/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.io.Serializable;
import java.lang.reflect.Method;
import javax.ejb.EnterpriseBean;

/**
 * a Invocation һԶ̵ĵã ContainerRemote װݸ Container ִ
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Invocation extends Serializable {

    /**
     * @return ִи÷ ejb object  id
     */
    EJBObjectId getObjectId();

    /**
     * @return Ҫִеķ hash,  hash Ψһı־һ method
     */
    String getMethodHash();

    Object[] getArgs();

    /**
     *  Bucket ȡǵ Method ֮󣬰 Method õ Invocation 
     *
     * @param method
     */
    void setMethod(Method method);

    Method getMethod();

    /**
     * the bean object
     *
     * @param instance
     */
    void setBean(EnterpriseBean instance);

    EnterpriseBean getBean();
}