/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.pool.thread;

import org.jfox.pool.PoolableObject;

/**
 *  ObjectPool еġThread
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */


interface PoolableThread extends PoolableObject, Runnable {
    /**
     * destroy this thread
     */
    void discard();

    void setTask(ThreadTask task);

}
